
import java.util.Vector;

/**
 * Entre 2 Almas	[https://sourceforge.net/projects/entre2almas/]  
 * ------------------------------------------------------------------------
 * This file is part of "Entre 2 Almas".
 * "Entre 2 Almas" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * "Entre 2 Almas" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "Entre 2 Almas"; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------
 * 		Copyright 2005 - 2006 Pedro Javier Sez Martnez
 * 
 * 
 * El programa podr mostrar opciones de muchos objetos. Esas opciones sern
 * objetos del tipo Opcin
 * 
 * @author Pedro Javier Sez Martnez
 * @version 1.0
 */
public class Opcion {

	/**
	 * Indica si est opcin est activa para un determinado Objeto
	 */
	boolean activa;

	/**
	 * Texto de la opcin
	 */
	String texto;

	/**
	 * Identificador de la opcin.
	 */
	String id;

	/**
	 * Consecuencias de una determinada opcin. En este vector se almacenarn
	 * vectores de objetos de la clase Resultado. Un Objeto puede tener
	 * consecuencias distintas en momentos distintos, entonces aqu almaceno
	 * todas las consecuencias que puede tener y para cada consecuancia
	 * almacenamos el Vector de Resultados, en el orden en que ocurrirn. Una
	 * vez que una consecuencia ya no se necesita, pues se borra del array
	 */
	Vector consecuencias;

	/**
	 * Indica la consecuencia que est activa, de entre las disponibles.
	 */
	int conseActiva;

	/**
	 * Constructor de la clase Opcin
	 * 
	 * @param activa
	 *            indica si est opcin est activa para un determinado Objeto
	 * @param texto
	 *            texto de la opcin
	 * @param id
	 *            Identificador de la opcin
	 * @param consecuencias
	 *            Consecuencias de una determinada opcin
	 */
	public Opcion(boolean activa, String texto, String id, Vector consecuencias) {
		this.activa = activa;
		this.texto = texto;
		this.id = id;
		this.consecuencias = consecuencias;
		conseActiva = 0;
	}

}
